# Search among child SalesPartners

Can be used for searching through all children SalesPartner for the given parent SalesPartner

Endpoint: GET /sales-partners
Version: 20260331
Security: X-API-KEY, Authorization

## Query parameters:

  - `id` (string)
    Filter by specific uberall SalesPartner id

  - `query` (string)
    Filter by name or identifier

  - `status` (string)
    Filter by status

  - `sort` (string)
    SalesPartner property used for pagination. Default: 'id'

  - `order` (string)
    Order used for pagination. Default: 'asc'

  - `max` (integer)
    Used for pagination. Maximum number of results per page. Default: 1000

  - `offset` (integer)
    Offset used for pagination. Default: 0

## Response 200 fields (*/*):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.count` (integer)
    The total count of found children
    Example: 6

  - `response.pageCount` (integer)
    The number of children on the current page
    Example: 6

  - `response.max` (integer)
    The maximum number of results to return
    Example: 10

  - `response.offset` (integer)
    The offset for pagination

  - `response.children` (array)
    Example: [{"id":270,"identifier":null,"name":"Dreamscape Networks FZ-LLC","privateKey":"c1Y3fRvwe0GHVEH5eM4TDZxousDwykwhv1lDRIhSeHAEVp5pLWiWdkbN3pJjwGBRATpQzXlh8MhIoYTaRX3MuyoDJBYHDwI3gJJIOjZX0KCGQj7HCdy7WEsc2Z66aFaD","status":"APPROVED"},{"id":464,"identifier":null,"name":"Touch Local Ltd","privateKey":"bWSWLIjiwIlUeToEeqvt8mS4DfSil5td9Lb06Xqbnmm5Z62cXTEAtN4UIG0pUtOr","status":"APPROVED"},{"id":3518,"identifier":null,"name":"Test Account","privateKey":"grB76Xs3qRBknUWvMoMHirTY8wfSJ2ipLyxX2rTBw63QCs45M6hh9DB5F8vBNgIFDoytsziYF8pA6XokCrVCqaOFzz5VR7Nj1W5sUWnpYXQdk1hLswvJrh2FIqIv2667","status":"APPROVED"},{"id":3519,"identifier":null,"name":"Web.com","privateKey":"zU2peIsy4VJGMuEnNmCdNfawF5hyQdw9pNk7sIdibljeAafuqjKFCb81yiyUcMfN9fstjpKFniRow6E5VGHWAB3rwJtY697PoFpnplPKnmhJaLoZlVpj2i7yzHhWVGhV","status":"APPROVED"},{"id":3763,"identifier":null,"name":"Network Solutions","privateKey":"sQwJtLBRPi3vV978gDyydnUx8YQsGRKvih3BI6Zcr965BTQ3GSM4LmJTenZChqZnPbJ6tY85Li5GEUnQAgAJf3JYarhu2i5lnWmY9mNG9MWSxVOhIrGk2dEvineVhyGO","status":"APPROVED"},{"id":3764,"identifier":null,"name":"Register.com","privateKey":"wsISftqTjOOdoPlz3b7elRN7pFW20tLs8nWRubmUScRWr0dfyxUmLAGpTXPwMeOkuRl2Y590R39cTUoPSuzVGTerLAaYkib7jjB5gTOtk0y3hvlPpyARHPW6NosApUOk","status":"APPROVED"}]

  - `response.children.id` (integer)
    The uberall unique SalesPartner id

  - `response.children.identifier` (string)
    Identifier for SalesPartner, must be unique for child SalesPartner within parent SalesPartner

  - `response.children.name` (string)
    Name of SalesPartner

  - `response.children.status` (string)
    Status of the SalesPartner
    Enum: "CREATED", "APPROVED", "DECLINED", "DELETED", "INACTIVE"

  - `response.children.privateKey` (string)
    PrivateKey of the SalesPartner (only filled for APPROVED SalesPartners)

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: same as `status` (19 values)

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: same as `status` (19 values)

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: same as `errorCode` (20 values)

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: same as `status` (19 values)

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: same as `errorCode` (20 values)

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: same as `status` (19 values)

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: same as `errorCode` (20 values)

  - `response` (object)
    (optional) The actual response object of the response


